Bullet Collision Detection & Physics Library: btGhostPairCallback Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
btGhostPairCallback Class Reference

The btGhostPairCallback interfaces and forwards adding and removal of overlapping pairs from the btBroadphaseInterface to btGhostObject. More...

`#include <btGhostObject.h>`

Inheritance diagram for btGhostPairCallback:
[legend]
Collaboration diagram for btGhostPairCallback:
[legend]

## Public Member Functions
| btGhostPairCallback ()
virtual | ~btGhostPairCallback ()
virtual btBroadphasePair * | addOverlappingPair (btBroadphaseProxy *proxy0, btBroadphaseProxy *proxy1)
virtual void * | removeOverlappingPair (btBroadphaseProxy *proxy0, btBroadphaseProxy *proxy1, btDispatcher *dispatcher)
virtual void | removeOverlappingPairsContainingProxy (btBroadphaseProxy *, btDispatcher *)
Public Member Functions inherited from btOverlappingPairCallback
virtual | ~btOverlappingPairCallback ()
virtual btBroadphasePair * | addOverlappingPair (btBroadphaseProxy *proxy0, btBroadphaseProxy *proxy1)=0
virtual void * | removeOverlappingPair (btBroadphaseProxy *proxy0, btBroadphaseProxy *proxy1, btDispatcher *dispatcher)=0
virtual void | removeOverlappingPairsContainingProxy (btBroadphaseProxy *proxy0, btDispatcher *dispatcher)=0

## Additional Inherited Members
Protected Member Functions inherited from btOverlappingPairCallback
| btOverlappingPairCallback ()

## Detailed Description

The btGhostPairCallback interfaces and forwards adding and removal of overlapping pairs from the btBroadphaseInterface to btGhostObject.

Definition at line 117 of file btGhostObject.h.

## Constructor & Destructor Documentation

## ◆ btGhostPairCallback()

btGhostPairCallback::btGhostPairCallback | ( |  | ) |
| inline

Definition at line 120 of file btGhostObject.h.

## ◆ ~btGhostPairCallback()

virtual btGhostPairCallback::~btGhostPairCallback | ( |  | ) |
| inlinevirtual

Definition at line 124 of file btGhostObject.h.

## Member Function Documentation

## ◆ addOverlappingPair()

virtual btBroadphasePair * btGhostPairCallback::addOverlappingPair | ( | btBroadphaseProxy * | proxy0,
|  | btBroadphaseProxy * | proxy1
| ) |  |
| inlinevirtual

Implements btOverlappingPairCallback.

Definition at line 128 of file btGhostObject.h.

## ◆ removeOverlappingPair()

virtual void * btGhostPairCallback::removeOverlappingPair | ( | btBroadphaseProxy * | proxy0,
|  | btBroadphaseProxy * | proxy1,
|  | btDispatcher * | dispatcher
| ) |  |
| inlinevirtual

Implements btOverlappingPairCallback.

Definition at line 141 of file btGhostObject.h.

## ◆ removeOverlappingPairsContainingProxy()

virtual void btGhostPairCallback::removeOverlappingPairsContainingProxy | ( | btBroadphaseProxy * | ,
|  | btDispatcher * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCallback.

Definition at line 154 of file btGhostObject.h.

The documentation for this class was generated from the following file:

- btGhostObject.h